actions: []
api_documentation: http://docs.ros.org/en/noetic/api/roslaunch/html
authors: Ken Conley, Dirk Thomas <dthomas@osrfoundation.org>, Jacob Perron <jacob@openrobotics.org>
brief: ''
bugtracker: https://github.com/ros/ros_comm/issues
depends:
- catkin
- rosclean
- rosgraph_msgs
- roslib
- rosmaster
- rosout
- rosparam
- rosunit
depends_on:
- app_manager
- capabilities
- create_description
- dataspeed_can_usb
- dataspeed_pds_can
- dataspeed_pds_lcm
- dbw_fca_can
- dbw_fca_description
- dbw_fca_joystick_demo
- dbw_mkz_can
- dbw_mkz_description
- dbw_mkz_joystick_demo
- dbw_polaris_can
- dbw_polaris_description
- dbw_polaris_joystick_demo
- fkie_node_manager
- fkie_node_manager_daemon
- franka_gazebo
- husky_control
- husky_description
- husky_navigation
- husky_viz
- jackal_control
- jackal_description
- jackal_gazebo
- jackal_navigation
- jackal_viz
- jsk_topic_tools
- khi_duaro_description
- khi_rs_description
- mir_description
- mir_driver
- mir_gazebo
- mir_navigation
- mrpt_ekf_slam_2d
- mrpt_ekf_slam_3d
- mrpt_icp_slam_2d
- mrpt_rbpf_slam
- nmea_comms
- openni2_launch
- openni_launch
- oxford_gps_eth
- phidgets_accelerometer
- phidgets_analog_inputs
- phidgets_analog_outputs
- phidgets_digital_inputs
- phidgets_digital_outputs
- phidgets_gyroscope
- phidgets_high_speed_encoder
- phidgets_ik
- phidgets_magnetometer
- phidgets_motors
- phidgets_spatial
- phidgets_temperature
- pr2_bringup
- pr2_controller_configuration
- prbt_gazebo
- psen_scan_v2
- raptor_dbw_can
- raptor_dbw_joystick_demo
- raptor_dbw_joystick_speed_demo
- ridgeback_description
- ridgeback_gazebo
- ridgeback_viz
- robot_upstart
- ros_comm
- rostest
- roswtf
- rqt_launch
- sensehat_ros
- sick_ldmrs_description
- sick_ldmrs_driver
- sick_ldmrs_tools
- sick_tim
- teleop_twist_joy
- turtlebot3_autorace_core
- ublox_msg_filters
- urdf_tutorial
- warthog_control
- warthog_description
- warthog_gazebo
- warthog_viz
- xacro
description: "roslaunch is a tool for easily launching multiple ROS <a href=\"http://ros.org/wiki/Nodes\"\
  >nodes</a> locally and remotely\n    via SSH, as well as setting parameters on the\
  \ <a href=\"http://ros.org/wiki/Parameter Server\">Parameter\n    Server</a>. It\
  \ includes options to automatically respawn processes\n    that have already died.\
  \ roslaunch takes in one or more XML\n    configuration files (with the <tt>.launch</tt>\
  \ extension) that\n    specify the parameters to set and nodes to launch, as well\
  \ as the\n    machines that they should be run on."
devel_jobs:
- https://build.ros.org/view/Ndev/job/Ndev__ros_comm__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__ros_comm__ubuntu_focal_amd64
has_changelog_rst: true
license: BSD
maintainer_status: maintained
maintainers: Michael Carroll <michael@openrobotics.org>, Shane Loretz <sloretz@openrobotics.org>
metapackages:
- ros_comm
msgs: []
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__roslaunch__ubuntu_focal__source
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__roslaunch__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__roslaunch__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__roslaunch__ubuntu_focal_arm64__binary
repo_name: ros_comm
repo_url: https://github.com/ros/ros_comm
srvs: []
timestamp: 1700740563.0551567
url: http://wiki.ros.org/roslaunch
vcs: git
vcs_uri: https://github.com/ros/ros_comm.git
vcs_version: noetic-devel
